> ## Documentation Index
> Fetch the complete documentation index at: https://www.dataframer.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List red team specs

> Get all red team specs



## OpenAPI

````yaml GET /api/dataframer/red-team-specs/
openapi: 3.0.0
info:
  title: DataFramer API
  version: 0.1.0
  description: ''
  termsOfService: https://www.aimon.ai/docs/privacy-policy.pdf
  contact:
    name: DataFramer Support
    email: info@dataframer.ai
  license:
    name: Proprietary
  x-logo:
    url: https://dataframer.ai/logo.png
    altText: DataFramer AI
  x-stainless:
    package-name: aimon-dataframer
    namespace:
      - aimon
      - dataframer
servers:
  - url: https://df-api.dataframer.ai
    description: Production server
security:
  - BearerAuth: []
externalDocs:
  description: Complete API Guide
  url: https://docs.dataframer.ai/dataframer
paths:
  /api/dataframer/red-team-specs/:
    get:
      summary: List red team specs
      description: Get all red team specs
      operationId: api_dataframer_red-team-specs_list
      responses:
        '200':
          description: List of red team specs
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/RedTeamSpecListItem'
        '401':
          description: Authentication credentials were not provided
        '500':
          description: Internal server error
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from dataframer import Dataframer

            client = Dataframer(
                api_key=os.environ.get("DATAFRAMER_API_KEY"),  # This is the default and can be omitted
            )
            red_team_specs = client.dataframer.red_team_specs.list()
            print(red_team_specs)
        - lang: cURL
          source: |-
            curl https://df-api.dataframer.ai/api/dataframer/red-team-specs/ \
                -H "Authorization: Bearer $DATAFRAMER_API_KEY"
components:
  schemas:
    RedTeamSpecListItem:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the red team spec
        name:
          type: string
          description: Name of the red team spec
        domain_description:
          type: string
          description: Description of the domain
        app_description:
          type: string
          description: Description of the application
        created_at:
          type: string
          format: date-time
          description: Timestamp when the spec was created
        created_by_email:
          type: string
          description: Email of the user who created this spec
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: 'API Key authentication. Format: "Bearer YOUR_API_KEY"'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.